Cannot start after update

#1
sudo apt install openlitespeed lsphp74
Code:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
lsphp74 is already the newest version (7.4.15-1+buster).
openlitespeed is already the newest version (1.6.20-2+buster).
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up openlitespeed (1.6.20-2+buster) ...
dpkg: error processing package openlitespeed (--configure):
 installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
dpkg: dependency problems prevent configuration of ols-modsecurity:
 ols-modsecurity depends on openlitespeed (>= 1.6.20-2+buster); however:
  Package openlitespeed is not configured yet.

dpkg: error processing package ols-modsecurity (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 openlitespeed
 ols-modsecurity
E: Sub-process /usr/bin/dpkg returned an error code (1)


Code:
● lsws.service - LSB: lshttpd
   Loaded: loaded (/etc/init.d/lsws; generated)
   Active: active (exited) since Wed 2021-03-31 01:21:19 EDT; 5min ago
     Docs: man:systemd-sysv-generator(8)
  Process: 15629 ExecStart=/etc/init.d/lsws start (code=exited, status=0/SUCCESS)

Mar 31 01:21:16 hh systemd[1]: Starting LSB: lshttpd...
Mar 31 01:21:19 hh systemd[1]: Started LSB: lshttpd.

Code:
LSWS does not restart properly, check port 7080
check port 7080 after kill all litespeed processes
Wed 31 Mar 2021 01:21:15 AM EDT
delay-stop, LSWS running: 0
Wed 31 Mar 2021 01:21:16 AM EDT
start, LSWS running: 0
LSWS does not restart properly, check port 7080
check port 7080 after kill all litespeed processes


Code:
sudo /usr/local/lsws/bin/lshttpd -v
LiteSpeed/1.6.20 Open
    module versions:
    modgzip 1.1
    cache 1.62
    modinspector 1.1
    uploadprogress 1.1
    mod_security 1.4
 (built: Thu Feb 18 14:53:56 UTC 2021)
    module versions:
    modgzip 1.1
    cache 1.62
    modinspector 1.1
    uploadprogress 1.1
    mod_security 1.4

Code:
sudo /usr/local/lsws/bin/openlitespeed -t
[1]    15550 segmentation fault  sudo /usr/local/lsws/bin/openlitespeed -t


Code:
Setting up openlitespeed (1.6.20-2+buster) ...
dpkg: error processing package openlitespeed (--configure):
 installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
dpkg: dependency problems prevent configuration of ols-modsecurity:
 ols-modsecurity depends on openlitespeed (>= 1.6.20-2+buster); however:
  Package openlitespeed is not configured yet.

dpkg: error processing package ols-modsecurity (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 openlitespeed
 
#2
dpkg: error processing package openlitespeed (--configure):
installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
Setting up lsphp73-opcache (7.3.23-1+buster) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
openlitespeed
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
#4
Hi

Please try fixing the broken package by following https://itsfoss.com/dpkg-returned-an-error-code-1/
Let us know if it works.
Reinstall after deleting

Code:
dpkg: error processing package openlitespeed (--configure):
 installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
Setting up lsphp73-opcache (7.3.23-1+buster) ...
Not replacing deleted config file /usr/local/lsws/lsphp73/etc/php/7.3/mods-available/opcache.ini
Processing triggers for dictionaries-common (1.28.1) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 openlitespeed
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
#5
Code:
sudo dpkg --configure -a
Setting up openlitespeed (1.6.20-2+buster) ...
dpkg: error processing package openlitespeed (--configure):
 installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
Errors were encountered while processing:
 openlitespeed

Code:
 sudo apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up openlitespeed (1.6.20-2+buster) ...
dpkg: error processing package openlitespeed (--configure):
 installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
Errors were encountered while processing:
 openlitespeed
E: Sub-process /usr/bin/dpkg returned an error code (1)

Code:
Not replacing deleted config file /usr/local/lsws/lsphp73/etc/php/7.3/mods-available/opcache.ini
Processing triggers for dictionaries-common (1.28.1) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 openlitespeed
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
#7
Code:
Setting up openlitespeed (1.6.20-2+buster) ...
dpkg: error processing package openlitespeed (--configure):
 installed openlitespeed package post-installation script subprocess was killed by signal (Killed)
Setting up lsphp73-opcache (7.3.23-1+buster) ...
Not replacing deleted config file /usr/local/lsws/lsphp73/etc/php/7.3/mods-available/opcache.ini
Processing triggers for dictionaries-common (1.28.1) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
 openlitespeed
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

remi

New Member
#13
there is a problem after OpenLiteSpeed 1.6.21 on repository update too,
when gracefull restart from admin panel the openlitespeed admin is not accessible we need to restart the server to make it work again
 
#14
there is a problem after OpenLiteSpeed 1.6.21 on repository update too,
when gracefull restart from admin panel the openlitespeed admin is not accessible we need to restart the server to make it work again

thank you for your concern,
I solved this problem myself
It is not the reason to restart the server.

很可能是缺少库文件的依赖.我也不知道是怎么解决的,应该是我在openlitespeed管理后台配置PHP以后.不断的安装各种库文件的依赖,
解决以后,我在从脚本安装,就好了.

谢谢你们关心,我完美解决
 
Top